QGIS Application - Bug report #14795
QGIS master missing the GRASS7 plugin
2016-05-09 09:59 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 22752
Description

Note: i tried to file a ticket in the osgeo4w tracker, but the ticket form does not seems to work.

When launching QGIS 2.14.2 (with GRASS7) or master the GRASS plugin is missing. GRASS7 and the grass7-plugin package are
installed.

History

#1 - 2016-05-15 11:29 AM - Gavin Fleming

| can confirm the same (for quite a while now) On Ubuntu trusty, wily and xenial and from both the ubuntugis-unstable repo and building from source.

The plugin also seems to have disappeared from 2.12.

this post is related: http://gis.stackexchange.com/questions/190355/cannot-locate-grass-plugin-in-qgis-2-14-1-on-linux

#2 - 2016-05-16 11:29 AM - Giovanni Manghi
- Priority changed from High to Severe/Regression
- Target version set to Version 2.16

still no GRASS plugin on qgis master/osgeo4w.

On a clean osgeo4w installation now the shortcut for QGIS 2.14.2 with GRASS7 is not even created. There is a QGIS 2.14.2 with GRASS6 apparently
working as expected.

#3 - 2016-05-16 11:37 AM - Giovanni Manghi

on QGIS master on linux (ubuntu + nightly repo) seems ok here. There is the G7 plugin and is working.

#4 - 2016-05-22 12:20 PM - Giovanni Manghi
- Priority changed from Severe/Regression to Normal
- Subject changed from QGIS 2.14.2 and master missing the GRASS7 plugin to QGIS master missing the GRASS?7 plugin

in QGIS 2.14.3/0sgeo4w now there is the GRASS7 and GRASSS plugin. Still missing in master.
http://gis.stackexchange.com/questions/190355/cannot-locate-grass-plugin-in-qgis-2-14-1-on-linux

#5 - 2016-05-23 12:51 AM - Gavin Fleming

It's back in the packaged 2.14.3 on Ubuntu trusty but not back in 2.14.3 (nor master) that | build from source on xenial.

#6 - 2017-05-01 01:05 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#7 - 2017-05-02 02:56 PM - Jiirgen Fischer
- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Description updated
